Index: branch/SENE/sp4b1/SP4b1/SP4b1.hwp
===================================================================
--- branch/SENE/sp4b1/SP4b1/SP4b1.hwp	(revision 405)
+++ branch/SENE/sp4b1/SP4b1/SP4b1.hwp	(revision 406)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"SP4b1" "D:\tp_sp4_Ely_Sene\SP4b1\SP4b1" "D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
+"SP4b1" "D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1" "D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\Debug" 
-"Debug_M32C_E8a_SYSTEM" "D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
-"Debug_M32C_Simulator" "D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\Debug_M32C_Simulator" 
-"Release" "D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\Release" 
+"Debug" "D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\Debug" 
+"Debug_M32C_E8a_SYSTEM" "D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
+"Debug_M32C_Simulator" "D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\Debug_M32C_Simulator" 
+"Release" "D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,8 +105,8 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C source file" "C source file" 
@@ -115,18 +115,18 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\DefaultSession.hsf" 0 
-"SessionM32C_E8a_SYSTEM" "D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
-"SessionM32C_Simulator" "D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\DefaultSession.hsf" 0 
+"SessionM32C_E8a_SYSTEM" "D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
+"SessionM32C_Simulator" "D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_SYSTEM]
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "030c763628d47d10" 2 
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\ncrt0.a30" "030c763628d47d10" 2 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\ncrt0.a30" "030c763628d47d10" 2 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "030c763628d47d10" 1 
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\SP4b1.c" "030c763628d47d10" 1 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\SP4b1.c" "030c763628d47d10" 1 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "030c763628d47d10" 6 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -145,14 +145,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug]
 [LINKAGE_ORDER_Debug]
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\Debug\ncrt0.r30" 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\Debug\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Assembler]
 "Assembly source file" "030c763628d47d10" 2 
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\ncrt0.a30" "030c763628d47d10" 2 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\ncrt0.a30" "030c763628d47d10" 2 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C C Compiler]
 "C source file" "030c763628d47d10" 1 
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\SP4b1.c" "030c763628d47d10" 1 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\SP4b1.c" "030c763628d47d10" 1 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Configurator]
 "Single Shot" "030c763628d47d10" 6 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Librarian]
@@ -171,14 +171,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_E8a_SYSTEM]
 [LINKAGE_ORDER_Debug_M32C_E8a_SYSTEM]
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_E8a_SYSTEM]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "030c763628d47d10" 2 
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\ncrt0.a30" "030c763628d47d10" 2 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\ncrt0.a30" "030c763628d47d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "030c763628d47d10" 1 
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\SP4b1.c" "030c763628d47d10" 1 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\SP4b1.c" "030c763628d47d10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "030c763628d47d10" 6 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -197,14 +197,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_Simulator]
 [LINKAGE_ORDER_Debug_M32C_Simulator]
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "030c763628d47d10" 2 
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\ncrt0.a30" "030c763628d47d10" 2 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\ncrt0.a30" "030c763628d47d10" 2 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "030c763628d47d10" 1 
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\SP4b1.c" "030c763628d47d10" 1 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\SP4b1.c" "030c763628d47d10" 1 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "030c763628d47d10" 6 
 [OPTIONS_Release_Renesas M32C Librarian]
@@ -223,7 +223,7 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Release]
 [LINKAGE_ORDER_Release]
-"D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\Release\ncrt0.r30" 
+"D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\Release\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Release]
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
Index: branch/SENE/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini
===================================================================
--- branch/SENE/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini	(revision 405)
+++ branch/SENE/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini	(revision 406)
@@ -24,3 +24,5 @@
 Renesas Communications=USB interface,0,
 [Target]
 M32C E8a SYSTEM=Renesas Communications
+[USER_DATA]
+RESET=fe0000
Index: branch/SENE/sp4b1/SP4b1/SP4b1.c
===================================================================
--- branch/SENE/sp4b1/SP4b1/SP4b1.c	(revision 405)
+++ branch/SENE/sp4b1/SP4b1/SP4b1.c	(revision 406)
@@ -8,8 +8,96 @@
 /*  This file is generated by Renesas Project Generator (Ver.4.18).    */
 /*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
 /***********************************************************************/
+#include "sfr32c87.h"
 
-void main(void)
-{
+/* init_keyboard(void); 
+void tpo_50ms(void);
+
+unsigned char touche = 0;
+
+void main(void){    
+	init_keyboard();
+	                        
+while(1){      
+	if ( (p10 & 0xf0)!= 0xf0 ){ 
+		touche = p10; 
+		tpo_50ms(); 
+		} 
+	}
+}
+void init_keyboard(void){  
+	  pd10 = 0x0F;
+	  p10=0;
+	  pu31 = 1 ;  
+}
+void tpo_50ms(void){ 
+	tcspr = 0x8A; 
+	ta0mr = 0x82; 
+	ta0 = 50000;                    
+	ta0s = 1;
+	ta0os = 1;       
+	ta0ic = 0x00;                          
+while(ir_ta0ic != 1 );               
+ta0s = 0;                      
+}*/
+char t; 
+char touche;
+void main(void){
+	pd10=0x0F;
+	pu31=1;
+	p10=0x00;
+	while(1){
+	t=p10;
+	if(t!=0xF0){
+		p10=0xFe;
+		t=p10;
+	if(t==0xde){
+		touche = '2';
+			}
+	if(t==0xbe){
+		touche = '1';
+			}
+	if(t==0xfe){
+		touche = '7';
+			}
+	if(t==0x7e){
+		touche = '3';
+			}
+		p10=0xFd;
+		t=p10;
+			if(t==0xbd){
+			touche = '4';
+			}
+			if(t==0xdd){
+		touche = '5';
+			}
+			if(t==0x7d){
+		touche = '6';
+			}
+		p10=0xFb;
+		t=p10;
+			if(t==0xdb){
+		touche = '8';
+			}
+			if(t==0x7b){
+		touche = '9';
+			}
+			if(t==0xeb){
+		touche = '7';
+			}
+		p10=0xF7;
+		t=p10;
+			if(t==0xd7){
+		touche = '0';
+			}
+			if(t==0xe7){
+		touche = '*';
+			}
+			if(t==0x77){
+		touche = '#';
+			}
 	
+	
+	}
+	}
 }
Index: branch/SENE/sp4b1/SP4b1.hws
===================================================================
--- branch/SENE/sp4b1/SP4b1.hws	(revision 405)
+++ branch/SENE/sp4b1/SP4b1.hws	(revision 406)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"SP4b1" "D:\tp_sp4_Ely_Sene\SP4b1" "D:\tp_sp4_Ely_Sene\SP4b1\SP4b1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"SP4b1" "D:\tp_sp4_Ely_Sene\SENE\sp4b1" "D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"SP4b1" "D:\tp_sp4_Ely_Sene\SP4b1\SP4b1" "D:\tp_sp4_Ely_Sene\SP4b1\SP4b1\SP4b1.hwp" 0 
+"SP4b1" "D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1" "D:\tp_sp4_Ely_Sene\SENE\sp4b1\SP4b1\SP4b1.hwp" 0 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]
@@ -21,7 +21,12 @@
 [MAKEFILE_BUILD_INFO]
 "$(WORKSPDIR)\make\$(PROJECTNAME)_$(CONFIGNAME).mak" "" "$(WORKSPDIR)\make" 0 0 0 
 [VD_CONFIGURATION_OPTIONS]
+"ACTIVE_DESKTOP" "0" 
 [VD_CONFIGURATIONS]
+"0" "Default1" "1" 
+"1" "Default2" "1" 
+"2" "Default3" "1" 
+"3" "Default4" "1" 
 [OPTIONS_DEBUG_TAB]
 0 0 0 0 0 
 [VCS]