Index: branch/coulaud/sp4b1/SP4b1/SP4b1.hwp
===================================================================
--- branch/coulaud/sp4b1/SP4b1/SP4b1.hwp	(revision 441)
+++ branch/coulaud/sp4b1/SP4b1/SP4b1.hwp	(revision 442)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"SP4b1" "D:\sp4abc_coulaud\sp4b1\SP4b1" "D:\sp4abc_coulaud\sp4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
+"SP4b1" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "D:\sp4abc_coulaud\sp4b1\SP4b1\Debug" 
-"Debug_M32C_E8a_SYSTEM" "D:\sp4abc_coulaud\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
-"Debug_M32C_Simulator" "D:\sp4abc_coulaud\sp4b1\SP4b1\Debug_M32C_Simulator" 
-"Release" "D:\sp4abc_coulaud\sp4b1\SP4b1\Release" 
+"Debug" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\Debug" 
+"Debug_M32C_E8a_SYSTEM" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
+"Debug_M32C_Simulator" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\Debug_M32C_Simulator" 
+"Release" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,8 +105,8 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"D:\sp4abc_coulaud\sp4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
-"D:\sp4abc_coulaud\sp4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C source file" "C source file" 
@@ -115,18 +115,20 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "D:\sp4abc_coulaud\sp4b1\SP4b1\DefaultSession.hsf" 0 
-"SessionM32C_E8a_SYSTEM" "D:\sp4abc_coulaud\sp4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
-"SessionM32C_Simulator" "D:\sp4abc_coulaud\sp4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\DefaultSession.hsf" 0 
+"SessionM32C_E8a_SYSTEM" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
+"SessionM32C_Simulator" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
+"TP5" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\TP5.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_SYSTEM]
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
+[GENERAL_DATA_SESSION_TP5]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "0462a8cf2fb47d10" 2 
-"D:\sp4abc_coulaud\sp4b1\SP4b1\ncrt0.a30" "0462a8cf2fb47d10" 2 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\ncrt0.a30" "0462a8cf2fb47d10" 2 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0462a8cf2fb47d10" 1 
-"D:\sp4abc_coulaud\sp4b1\SP4b1\SP4b1.c" "0462a8cf2fb47d10" 1 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\SP4b1.c" "0462a8cf2fb47d10" 1 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "0462a8cf2fb47d10" 6 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -145,14 +147,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug]
 [LINKAGE_ORDER_Debug]
-"D:\sp4abc_coulaud\sp4b1\SP4b1\Debug\ncrt0.r30" 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\Debug\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Assembler]
 "Assembly source file" "0462a8cf2fb47d10" 2 
-"D:\sp4abc_coulaud\sp4b1\SP4b1\ncrt0.a30" "0462a8cf2fb47d10" 2 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\ncrt0.a30" "0462a8cf2fb47d10" 2 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C C Compiler]
 "C source file" "0462a8cf2fb47d10" 1 
-"D:\sp4abc_coulaud\sp4b1\SP4b1\SP4b1.c" "0462a8cf2fb47d10" 1 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\SP4b1.c" "0462a8cf2fb47d10" 1 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Configurator]
 "Single Shot" "0462a8cf2fb47d10" 6 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Librarian]
@@ -171,14 +173,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_E8a_SYSTEM]
 [LINKAGE_ORDER_Debug_M32C_E8a_SYSTEM]
-"D:\sp4abc_coulaud\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_E8a_SYSTEM]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "0462a8cf2fb47d10" 2 
-"D:\sp4abc_coulaud\sp4b1\SP4b1\ncrt0.a30" "0462a8cf2fb47d10" 2 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\ncrt0.a30" "0462a8cf2fb47d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "0462a8cf2fb47d10" 1 
-"D:\sp4abc_coulaud\sp4b1\SP4b1\SP4b1.c" "0462a8cf2fb47d10" 1 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\SP4b1.c" "0462a8cf2fb47d10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "0462a8cf2fb47d10" 6 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -197,14 +199,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_Simulator]
 [LINKAGE_ORDER_Debug_M32C_Simulator]
-"D:\sp4abc_coulaud\sp4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "0462a8cf2fb47d10" 2 
-"D:\sp4abc_coulaud\sp4b1\SP4b1\ncrt0.a30" "0462a8cf2fb47d10" 2 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\ncrt0.a30" "0462a8cf2fb47d10" 2 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "0462a8cf2fb47d10" 1 
-"D:\sp4abc_coulaud\sp4b1\SP4b1\SP4b1.c" "0462a8cf2fb47d10" 1 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\SP4b1.c" "0462a8cf2fb47d10" 1 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "0462a8cf2fb47d10" 6 
 [OPTIONS_Release_Renesas M32C Librarian]
@@ -223,7 +225,7 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Release]
 [LINKAGE_ORDER_Release]
-"D:\sp4abc_coulaud\sp4b1\SP4b1\Release\ncrt0.r30" 
+"D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\Release\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Release]
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
@@ -234,6 +236,9 @@
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_SessionM32C_Simulator]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_SessionM32C_Simulator]
 "MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_TP5]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_TP5]
+"MEMORY_MAPPING_OPTIONS" "" 
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_E8a_SYSTEM_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_E8a_SYSTEM_DefaultSession]
 "MEMORY_MAPPING_OPTIONS" "" 
@@ -243,6 +248,9 @@
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_E8a_SYSTEM_SessionM32C_Simulator]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_E8a_SYSTEM_SessionM32C_Simulator]
 "MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_E8a_SYSTEM_TP5]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_E8a_SYSTEM_TP5]
+"MEMORY_MAPPING_OPTIONS" "" 
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_DefaultSession]
 "MEMORY_MAPPING_OPTIONS" "" 
@@ -252,6 +260,9 @@
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_SessionM32C_Simulator]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_SessionM32C_Simulator]
 "MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_TP5]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_TP5]
+"MEMORY_MAPPING_OPTIONS" "" 
 [GENERAL_DATA_CONFIGURATION_SESSION_Release_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Release_DefaultSession]
 "MEMORY_MAPPING_OPTIONS" "" 
@@ -261,6 +272,9 @@
 [GENERAL_DATA_CONFIGURATION_SESSION_Release_SessionM32C_Simulator]
 [SESSION_DATA_CONFIGURATION_SESSION_Release_SessionM32C_Simulator]
 "MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Release_TP5]
+[SESSION_DATA_CONFIGURATION_SESSION_Release_TP5]
+"MEMORY_MAPPING_OPTIONS" "" 
 [EXT_DEBUGGER_INFO]
 0 "" "" "" "" 
 [END]
Index: branch/coulaud/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini
===================================================================
--- branch/coulaud/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini	(revision 441)
+++ branch/coulaud/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini	(revision 442)
@@ -18,6 +18,8 @@
 PROCESSOR_MODE=0
 [COMMUNI]
 COMSPEED=8
+COMSPEED PROGRAM FLASH=8
+COMSPEED DATA FLASH=8
 [Driver Configuration]
 Renesas Communications=USB interface,0,
 [Target]
Index: branch/coulaud/sp4b1/SP4b1/SP4b1.c
===================================================================
--- branch/coulaud/sp4b1/SP4b1/SP4b1.c	(revision 441)
+++ branch/coulaud/sp4b1/SP4b1/SP4b1.c	(revision 442)
@@ -8,34 +8,91 @@
 /*  This file is generated by Renesas Project Generator (Ver.4.18).    */
 /*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
 /***********************************************************************/
-#include "sfr32c87.h"
+#include "sfr32c87.h";
 
+void lcd_4b(unsigned char c){	
+	pd1==0xff;
 
-char t;
-void main(){
-	pd10=0X0F;
-	p10=0X00;
-	pu31=0XFF;
-	while (1){
-		if ((t & 0xF0)!=0XF0){				
-			p10=0X0E;
-			t=p10;
-		}
-		if ((t & 0xF0)!=0XF0){
-			p10=0X0D;
-			t=p10;
-		}
-		if ((t & 0xF0)!=0XF0){
-			p10=0X0B;
-			t=p10;
-		}
-		if ((t & 0xF0)!=0XF0){
-			p10=0X07;
-			t=p10;
-		}
+	if (c & 0b10000000)
+	{
+		p1_7=1;
 	}
+	else
+	{
+		p1_7=0;
+	}
+	if (c & 0b00000100)
+	{
+		p1_6=1;
+	}
+	else{
+		p1_6=0;
+	}
+	if (c & 0b00000100)
+	{
+		p1_5=1;
+	}
+	else{
+		p1_5=0;
+	}
+	if (c & 0b00000100)
+	{
+		p1_4=1;
+	}
+	else{
+		p1_4=0;
+	}
+	p1_2=0;
+
+
 }
+ 
+void lcd_8b(unsigned char car){
+	lcd_4b(car <<4);
 
+}
+
+void lcd_com(unsigned char com){
+	p1_0=0;
+	lcd_8b(com);
+}
+
+void lcd_init(void)
+{
+	LCD_DC=0 ;
+	//tpo_ms(15);
+	lcd_4b(0x30);
+	//tpo_ms(5);
+	lcd_4b(0x30);
+	//tpo_us(100);
+	lcd_4b(0x30);
+	//tpo_us(100);
+	lcd_4b(0x20);
+	lcd_com(0x28);
+	lcd_com(0x06);
+	lcd_com(0x0E);
+	lcd_com(0x01);
+	//tpo_ms(5);
+}
+
+void lcd_car(unsigned char car){
+	p1_0=1;
+	lcd_8b(car);	
+}
+
+void lcd_str(unsigned char *str){
+	unsigned char i=0;
+	while(str[i]){
+		lcd_car(str[i++]);
+	}
+}
+
+
+void main(void){
+	lcd_4b(0xf0);
+	lcd_4b(0xA0);
+}
+
 
 
 
Index: branch/coulaud/sp4b1/SP4b1.hws
===================================================================
--- branch/coulaud/sp4b1/SP4b1.hws	(revision 441)
+++ branch/coulaud/sp4b1/SP4b1.hws	(revision 442)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"SP4b1" "D:\sp4abc_coulaud\sp4b1" "D:\sp4abc_coulaud\sp4b1\SP4b1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"SP4b1" "D:\tp_sp4_2021_coulaud\sp4b1" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"SP4b1" "D:\sp4abc_coulaud\sp4b1\SP4b1" "D:\sp4abc_coulaud\sp4b1\SP4b1\SP4b1.hwp" 0 
+"SP4b1" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1" "D:\tp_sp4_2021_coulaud\sp4b1\SP4b1\SP4b1.hwp" 0 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]
@@ -21,7 +21,12 @@
 [MAKEFILE_BUILD_INFO]
 "$(WORKSPDIR)\make\$(PROJECTNAME)_$(CONFIGNAME).mak" "" "$(WORKSPDIR)\make" 0 0 0 
 [VD_CONFIGURATION_OPTIONS]
+"ACTIVE_DESKTOP" "0" 
 [VD_CONFIGURATIONS]
+"0" "Default1" "1" 
+"1" "Default2" "1" 
+"2" "Default3" "1" 
+"3" "Default4" "1" 
 [OPTIONS_DEBUG_TAB]
 0 0 0 0 0 
 [VCS]