Index: branch/BEN_MBAREK/sp4b1/SP4b1/SP4b1.hwp
===================================================================
--- branch/BEN_MBAREK/sp4b1/SP4b1/SP4b1.hwp	(revision 444)
+++ branch/BEN_MBAREK/sp4b1/SP4b1/SP4b1.hwp	(revision 445)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"SP4b1" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
+"SP4b1" "C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1" "C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\Debug" 
-"Debug_M32C_E8a_SYSTEM" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
-"Debug_M32C_Simulator" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\Debug_M32C_Simulator" 
-"Release" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\Release" 
+"Debug" "C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\Debug" 
+"Debug_M32C_E8a_SYSTEM" "C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
+"Debug_M32C_Simulator" "C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\Debug_M32C_Simulator" 
+"Release" "C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,8 +105,8 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C source file" "C source file" 
@@ -115,18 +115,18 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\DefaultSession.hsf" 0 
-"SessionM32C_E8a_SYSTEM" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
-"SessionM32C_Simulator" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\DefaultSession.hsf" 0 
+"SessionM32C_E8a_SYSTEM" "C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
+"SessionM32C_Simulator" "C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_SYSTEM]
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "04a9399400c47d10" 2 
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\ncrt0.a30" "04a9399400c47d10" 2 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\ncrt0.a30" "04a9399400c47d10" 2 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "04a9399400c47d10" 1 
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\SP4b1.c" "04a9399400c47d10" 1 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\SP4b1.c" "04a9399400c47d10" 1 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "04a9399400c47d10" 6 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -145,14 +145,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug]
 [LINKAGE_ORDER_Debug]
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\Debug\ncrt0.r30" 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\Debug\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Assembler]
 "Assembly source file" "04a9399400c47d10" 2 
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\ncrt0.a30" "04a9399400c47d10" 2 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\ncrt0.a30" "04a9399400c47d10" 2 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C C Compiler]
 "C source file" "04a9399400c47d10" 1 
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\SP4b1.c" "04a9399400c47d10" 1 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\SP4b1.c" "04a9399400c47d10" 1 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Configurator]
 "Single Shot" "04a9399400c47d10" 6 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Librarian]
@@ -171,14 +171,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_E8a_SYSTEM]
 [LINKAGE_ORDER_Debug_M32C_E8a_SYSTEM]
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_E8a_SYSTEM]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "04a9399400c47d10" 2 
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\ncrt0.a30" "04a9399400c47d10" 2 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\ncrt0.a30" "04a9399400c47d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "04a9399400c47d10" 1 
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\SP4b1.c" "04a9399400c47d10" 1 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\SP4b1.c" "04a9399400c47d10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "04a9399400c47d10" 6 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -197,14 +197,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_Simulator]
 [LINKAGE_ORDER_Debug_M32C_Simulator]
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "04a9399400c47d10" 2 
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\ncrt0.a30" "04a9399400c47d10" 2 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\ncrt0.a30" "04a9399400c47d10" 2 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "04a9399400c47d10" 1 
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\SP4b1.c" "04a9399400c47d10" 1 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\SP4b1.c" "04a9399400c47d10" 1 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "04a9399400c47d10" 6 
 [OPTIONS_Release_Renesas M32C Librarian]
@@ -223,7 +223,7 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Release]
 [LINKAGE_ORDER_Release]
-"D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\Release\ncrt0.r30" 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\Release\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Release]
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
Index: branch/BEN_MBAREK/sp4b1/SP4b1/DefaultSession.hsf
===================================================================
--- branch/BEN_MBAREK/sp4b1/SP4b1/DefaultSession.hsf	(revision 444)
+++ branch/BEN_MBAREK/sp4b1/SP4b1/DefaultSession.hsf	(revision 445)
@@ -15,7 +15,9 @@
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
-"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
 "{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileDir" "" 
 "{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileName" "" 
@@ -32,6 +34,7 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.33" 180 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_OUTPUT}" "WINDOW" 59422 0 0 "1.00" 180 683 371 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 683 371 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -51,6 +54,10 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\SP4b1.c" 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\sfr32c87.h" 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\sect308.inc" 
+"C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\ncrt0.a30" 
 [TARGET_NAME]
 "" "" 1853190002 
 [STATUSBAR_STATEINFO_VD1]
Index: branch/BEN_MBAREK/sp4b1/SP4b1.hws
===================================================================
--- branch/BEN_MBAREK/sp4b1/SP4b1.hws	(revision 444)
+++ branch/BEN_MBAREK/sp4b1/SP4b1.hws	(revision 445)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"SP4b1" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"SP4b1" "C:\Users\nibenmbare\Desktop\TP\sp4b1" "C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"SP4b1" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1" "D:\TP_sp4_2021_BEN_MBAREK\branch\BEN_MBAREK\sp4b1\SP4b1\SP4b1.hwp" 0 
+"SP4b1" "C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1" "C:\Users\nibenmbare\Desktop\TP\sp4b1\SP4b1\SP4b1.hwp" 0 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]
Index: branch/BEN_MBAREK/sp4b2/SP4b2.hws
===================================================================
--- branch/BEN_MBAREK/sp4b2/SP4b2.hws	(nonexistent)
+++ branch/BEN_MBAREK/sp4b2/SP4b2.hws	(revision 445)
@@ -0,0 +1,35 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"11.0" 
+[WORKSPACE_DETAILS]
+"SP4b2" "C:\Users\nibenmbare\Desktop\TP\sp4b2" "C:\Users\nibenmbare\Desktop\TP\sp4b2\SP4b2.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+[SHARED_WORKSPACE_CONTROL_STATUS]
+"" "" "" 
+"" "" "" 
+[PROJECTS]
+"SP4b2" "C:\Users\nibenmbare\Desktop\TP\sp4b2\SP4b2" "C:\Users\nibenmbare\Desktop\TP\sp4b2\SP4b2\SP4b2.hwp" 0 
+[INFORMATION]
+"No workspace information available" 
+[SCRAP]
+[PROJECT_DEPENDENCY]
+[WORKSPACE_PROPERTIES]
+[HELP_FILES]
+[GENERAL_DATA_PROJECT]
+[USERMENUTOOLS]
+[CUSTOMPLACEHOLDERS]
+[MAKEFILE_BUILD_INFO]
+"$(WORKSPDIR)\make\$(PROJECTNAME)_$(CONFIGNAME).mak" "" "$(WORKSPDIR)\make" 0 0 0 
+[VD_CONFIGURATION_OPTIONS]
+[VD_CONFIGURATIONS]
+[OPTIONS_DEBUG_TAB]
+0 0 0 0 0 
+[VCS]
+"" "" "" 0 
+[VCS_PROJECT]
+[MAKEFILE_ENV_STRINGS]
+[MAKEFILE_ENV_FLAGS]
+1 0 0 
+[MAKEFILE_CLEAN_INFO]
+"" 
+[END]