Index: branch/sabot/sp4abc/sp4b1/SP4b1/SP4b1.hwp
===================================================================
--- branch/sabot/sp4abc/sp4b1/SP4b1/SP4b1.hwp	(revision 476)
+++ branch/sabot/sp4abc/sp4b1/SP4b1/SP4b1.hwp	(revision 477)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"SP4b1" "D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1" "D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
+"SP4b1" "D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1" "D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\Debug" 
-"Debug_M32C_E8a_SYSTEM" "D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
-"Debug_M32C_Simulator" "D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\Debug_M32C_Simulator" 
-"Release" "D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\Release" 
+"Debug" "D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\Debug" 
+"Debug_M32C_E8a_SYSTEM" "D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
+"Debug_M32C_Simulator" "D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\Debug_M32C_Simulator" 
+"Release" "D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,8 +105,8 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C source file" "C source file" 
@@ -115,18 +115,18 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\DefaultSession.hsf" 0 
-"SessionM32C_E8a_SYSTEM" "D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
-"SessionM32C_Simulator" "D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\DefaultSession.hsf" 0 
+"SessionM32C_E8a_SYSTEM" "D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
+"SessionM32C_Simulator" "D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_SYSTEM]
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "0f5d646238d47d10" 2 
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\ncrt0.a30" "0f5d646238d47d10" 2 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\ncrt0.a30" "0f5d646238d47d10" 2 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0f5d646238d47d10" 1 
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\SP4b1.c" "0f5d646238d47d10" 1 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\SP4b1.c" "0f5d646238d47d10" 1 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "0f5d646238d47d10" 6 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -145,14 +145,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug]
 [LINKAGE_ORDER_Debug]
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\Debug\ncrt0.r30" 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\Debug\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Assembler]
 "Assembly source file" "0f5d646238d47d10" 2 
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\ncrt0.a30" "0f5d646238d47d10" 2 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\ncrt0.a30" "0f5d646238d47d10" 2 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C C Compiler]
 "C source file" "0f5d646238d47d10" 1 
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\SP4b1.c" "0f5d646238d47d10" 1 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\SP4b1.c" "0f5d646238d47d10" 1 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Configurator]
 "Single Shot" "0f5d646238d47d10" 6 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Librarian]
@@ -171,14 +171,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_E8a_SYSTEM]
 [LINKAGE_ORDER_Debug_M32C_E8a_SYSTEM]
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_E8a_SYSTEM]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "0f5d646238d47d10" 2 
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\ncrt0.a30" "0f5d646238d47d10" 2 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\ncrt0.a30" "0f5d646238d47d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "0f5d646238d47d10" 1 
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\SP4b1.c" "0f5d646238d47d10" 1 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\SP4b1.c" "0f5d646238d47d10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "0f5d646238d47d10" 6 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -197,14 +197,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_Simulator]
 [LINKAGE_ORDER_Debug_M32C_Simulator]
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "0f5d646238d47d10" 2 
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\ncrt0.a30" "0f5d646238d47d10" 2 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\ncrt0.a30" "0f5d646238d47d10" 2 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "0f5d646238d47d10" 1 
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\SP4b1.c" "0f5d646238d47d10" 1 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\SP4b1.c" "0f5d646238d47d10" 1 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "0f5d646238d47d10" 6 
 [OPTIONS_Release_Renesas M32C Librarian]
@@ -223,7 +223,7 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Release]
 [LINKAGE_ORDER_Release]
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\Release\ncrt0.r30" 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\Release\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Release]
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
Index: branch/sabot/sp4abc/sp4b1/SP4b1/DefaultSession.hsf
===================================================================
--- branch/sabot/sp4abc/sp4b1/SP4b1/DefaultSession.hsf	(revision 476)
+++ branch/sabot/sp4abc/sp4b1/SP4b1/DefaultSession.hsf	(revision 477)
@@ -15,7 +15,9 @@
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
-"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
 "{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileDir" "" 
 "{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileName" "" 
@@ -32,6 +34,7 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.25" 180 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_OUTPUT}" "WINDOW" 59422 0 0 "1.00" 180 569 307 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 569 307 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -51,6 +54,8 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\SP4b1.c" 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\ncrt0.a30" 
 [TARGET_NAME]
 "" "" 1853190002 
 [STATUSBAR_STATEINFO_VD1]
Index: branch/sabot/sp4abc/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini
===================================================================
--- branch/sabot/sp4abc/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini	(revision 476)
+++ branch/sabot/sp4abc/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini	(revision 477)
@@ -18,6 +18,8 @@
 PROCESSOR_MODE=0
 [COMMUNI]
 COMSPEED=8
+COMSPEED PROGRAM FLASH=8
+COMSPEED DATA FLASH=8
 [Driver Configuration]
 Renesas Communications=USB interface,0,
 [Target]
Index: branch/sabot/sp4abc/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.hsf
===================================================================
--- branch/sabot/sp4abc/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.hsf	(revision 476)
+++ branch/sabot/sp4abc/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.hsf	(revision 477)
@@ -22,7 +22,9 @@
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
-"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_END_ADDRESS" "" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_START_ADDRESS" "" 
@@ -702,8 +704,9 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 0 "0.25" 180 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_IO}SP4b1SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 1 "0.25" 180 0 0 350 200 18 0 "32817|32826|32819|32820|32821" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.25" 180 569 307 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "1.00" 180 569 307 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000001_WATCH}SP4b1SessionM32C_E8a_SYSTEM" "WINDOW" 59422 0 0 "0.50" 180 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32829|32772|32827|32773|<<separator>>|32786|<<separator>>|32810|32811|32831" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 569 307 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -722,14 +725,14 @@
 "{WK_TB00000018_DEFAULTWINDOW}" "TOOLBAR 0" 59419 1 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_TB00000023_RTOS}" "TOOLBAR 0" 59419 2 8 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_TB00000026_MACRO}" "TOOLBAR 0" 59419 1 6 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 [WINDOW_POSITION_STATE_DATA_VD2]
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\SP4b1.c" 
-"D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\ncrt0.a30" 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\SP4b1.c" 
+"D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\ncrt0.a30" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
Index: branch/sabot/sp4abc/sp4b1/SP4b1/SP4b1.c
===================================================================
--- branch/sabot/sp4abc/sp4b1/SP4b1/SP4b1.c	(revision 476)
+++ branch/sabot/sp4abc/sp4b1/SP4b1/SP4b1.c	(revision 477)
@@ -11,41 +11,98 @@
 
 #include "sfr32c87.h"
 
-char t;
-char touche;
-void main(void){
+#define LCD_E()
+#define LCD_E_DIR()
 
-	pd10=0x0F;
-	pu31=1;
-	p10=0x00;
-	while(1){
-		t=p10;
-		if(t!=0xF0){
-			p10=0xFE;
-			t=p10;
-			if(t==0xDE){
-				touche='2';
-			}
-			if(t==0x7E){
-				touche='3';
-			}
-			if(t==0xBE){
-				touche='1';
-			}
-			p10=0xFD;
-			t=p10;
-			if(t==0x7D){
-				touche='6';
-			}
-			if(t==0xDD){
-				touche='5';
-			}
-			if(t==0xBD){
-				touche='4';
-			}
-			
-		}
-	}                   
+#define LCD_RW()
+#define LCD_RW_DIR()
+
+#define LCD_DC()
+#define LCD_DC_DIR()
+
+#define LCD_PORT()
+#define LCD_PORT_DIR()
+
+//temporisation en us
+void tpo_us(unsigned short duree);
+
+// temporisation en ms
+void tpo_ms(unsigned short duree);
+
+
+//envoie des 4 bits de poids fort
+void lcd_4b(unsigned  char car){
+	p1_2=1;
+	p1_2=0;
+	car=3;
+	if (car & 8){
+		p1_4=1;
+	}
+	else{
+		p1_4=0;
+	}
+	if (car & 16){
+		p1_5=1;
+	}
+	else{
+		p1_5=0;
+	}
+	if (car & 32){
+		p1_6=1;
+	}
+	else{
+		p1_6=0;
+	}
+	if (car & 64){
+		p1_7=1;
+	}
+	else{
+		p1_7=0;
+	}
+	
 }
 
+void main(void){
+	lcd_4b(0xF0);
+}
 
+
+//Clavier
+//char t;
+//char touche;
+//void main(void){
+
+//	pd10=0x0F;
+//	pu31=1;
+//	p10=0x00;
+//	while(1){
+//		t=p10;
+//		if(t!=0xF0){
+//			p10=0xFE;
+//			t=p10;
+//			if(t==0xDE){
+//				touche='2';
+//			}
+//			if(t==0x7E){
+//				touche='3';
+//			}
+//			if(t==0xBE){
+//				touche='1';
+//			}
+//			p10=0xFD;
+//			t=p10;
+//			if(t==0x7D){
+//				touche='6';
+//			}
+//			if(t==0xDD){
+//				touche='5';
+//			}
+//			if(t==0xBD){
+//				touche='4';
+//			}
+//			
+//		}
+//	}                   
+//}
+
+
Index: branch/sabot/sp4abc/sp4b1/SP4b1.hws
===================================================================
--- branch/sabot/sp4abc/sp4b1/SP4b1.hws	(revision 476)
+++ branch/sabot/sp4abc/sp4b1/SP4b1.hws	(revision 477)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"SP4b1" "D:\tp_sp_sabot\sp4abc\sp4b1" "D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"SP4b1" "D:\tp_sp4_SABOT\sp4abc\sp4b1" "D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"SP4b1" "D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1" "D:\tp_sp_sabot\sp4abc\sp4b1\SP4b1\SP4b1.hwp" 0 
+"SP4b1" "D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1" "D:\tp_sp4_SABOT\sp4abc\sp4b1\SP4b1\SP4b1.hwp" 0 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]
@@ -21,7 +21,12 @@
 [MAKEFILE_BUILD_INFO]
 "$(WORKSPDIR)\make\$(PROJECTNAME)_$(CONFIGNAME).mak" "" "$(WORKSPDIR)\make" 0 0 0 
 [VD_CONFIGURATION_OPTIONS]
+"ACTIVE_DESKTOP" "0" 
 [VD_CONFIGURATIONS]
+"0" "Default1" "1" 
+"1" "Default2" "1" 
+"2" "Default3" "1" 
+"3" "Default4" "1" 
 [OPTIONS_DEBUG_TAB]
 0 0 0 0 0 
 [VCS]